<?php
namespace app\daohang\behavior;

use think\Controller;

class Hook extends Controller
{
    public function moduleInit(&$params)
    {
        //加载语言扩展
        \think\lang::set(json_decode(config('daohang.language'),true));
    }
    
    public function hookAdminInit(&$params)
    {
        //加载语言扩展
        \think\lang::set(json_decode(config('daohang.language'),true));
        //扩展菜单插件列表
        $this->menuAddon();
    }
    
    public function adminIndexHeader(&$params)
    {
        echo $this->fetch('daohang@count/index');
    }
    
    //添加后台菜单
    private function menuAddon()
    {
        $menuAddon = config('admin_menu.addon');
        if(!is_array($menuAddon)){
            $menuAddon = [];
        }
        //头部插入
        array_unshift($menuAddon,[
            'menu_ico'    => 'fa-link',
            'menu_title'  => 'daohang/menu/title',
            'menu_module' => 'daohang',
            'menu_items'  => [
                [
                    'ico'      => 'fa-list',
                    'title'    => 'daohang/admin/index',
                    'module'   => 'daohang',
                    'controll' => 'admin',
                    'action'   => 'index',
                    'order'    => 11,
                    'url'      => DcUrlAddon( ['module'=>'daohang','controll'=>'admin','action'=>'index'] ),
                ],
                [
                    'ico'      => 'fa-clone',
                    'title'    => 'daohang/category/index',
                    'target'   => '_self',
                    'module'   => 'daohang',
                    'controll' => 'category',
                    'action'   => 'index',
                    'order'    => 21,
                    'url'      => DcUrlAddon( ['module'=>'daohang','controll'=>'category','action'=>'index'] ),
                ],
                [
                    'ico'      => 'fa-tags',
                    'title'    => 'daohang/tag/index',
                    'target'   => '_self',
                    'module'   => 'daohang',
                    'controll' => 'tag',
                    'action'   => 'index',
                    'order'    => 31,
                    'url'      => DcUrlAddon( ['module'=>'daohang','controll'=>'tag','action'=>'index'] ),
                ],
                [
                    'ico'      => 'fa fa-fw fa-cog',
                    'title'    => 'daohang/config/index',
                    'module'   => 'daohang',
                    'controll' => 'config',
                    'action'   => 'index',
                    'order'    => 41,
                    'url'      => DcUrlAddon( ['module'=>'daohang','controll'=>'config','action'=>'index'] ),
                ],
                [
                    'ico'      => 'fa fa-fw fa-gavel',
                    'title'    => 'daohang/auth/index',
                    'target'   => '_self',
                    'module'   => 'daohang',
                    'controll' => 'auth',
                    'action'   => 'index',
                    'order'    => 51,
                    'url'      => DcUrlAddon( ['module'=>'daohang','controll'=>'auth','action'=>'index'] ),
                ],
                [
                    'ico'      => 'fa fa-fw fa-heart',
                    'title'    => 'daohang/seo/index',
                    'target'   => '_self',
                    'module'   => 'daohang',
                    'controll' => 'seo',
                    'action'   => 'index',
                    'order'    => 61,
                    'url'      => DcUrlAddon( ['module'=>'daohang','controll'=>'seo','action'=>'index'] ),
                ],
            ]
        ]);
        
        config('admin_menu.addon',$menuAddon);
        
        unset($menuAddon);
    }
    
    //重置后台菜单
    private function menuReset()
    {
        //重置系统栏
        $reset = false;
        $menuSystem = config('admin_menu.system');
        foreach($menuSystem as $key=>$value){
            if(in_array($value['title'],['admin/category/index','admin/tag/index'])){
                $reset = true;
                unset($menuSystem[$key]);
            }
        }
        if($reset){
            config('admin_menu.system',$menuSystem);
        }
        unset($menuSystem);
    }
}