<?php
namespace app\daohang\event;

use app\common\controller\Addon;

class Tag extends Addon
{
    public function _initialize()
    {
        parent::_initialize();
    }
    
    //定义表单字段列表
    protected function fields($data=[])
    {
        return model('daohang/Tag','loglic')->fields($data);
    }
    
    //定义表单初始数据
    protected function formData()
    {
        if( $id = input('id/d',0) ){
            return \daicuo\Term::get_id($id, false);
		}
        return [];
    }
    
    //定义表格数据（JSON）
    public function ajaxJson()
    {
        //查询参数
        $args = array();
        $args['cache']    = false;
        $args['result']   = 'array';
        $args['search']   = $this->query['searchText'];
        $args['limit']    = DcEmpty($this->query['pageSize'], 50);
        $args['page']     = DcEmpty($this->query['pageNumber'], 1);
        $args['sort']     = DcEmpty($this->query['sortName'], 'term_id');
        $args['order']    = DcEmpty($this->query['sortOrder'], 'desc');
        $args['status']   = $this->query['term_status'];
        $args['controll'] = $this->query['term_controll'];
        $args['action']   = $this->query['term_action'];
        //自定义字段排序
        if( !in_array($args['sort'],['term_id','term_order','term_parent','term_count']) ){
            $args['meta_key'] = $args['sort'];
            $args['sort']     = 'meta_value_num';
        }
        //查询数据
        $list = daohangTagSelect( DcArrayEmpty($args) );
        if( is_null($list) ){
            return [];
        }
        return $list;
	}
    
    public function save()
    {
        $data = input('post.');
        
        config('common.validate_name', 'daohang/Tag');
        
        config('common.validate_scene', 'save');
        
        config('common.where_slug_unique', false);//标题已验证唯一、不再需要验证别名
        
        config('custom_fields.term_meta',model('daohang/Tag','loglic')->metaFieldsKey());
        
        $term_id = \daicuo\Term::save($data);
        
		if($term_id < 1){
			$this->error(\daicuo\Term::getError());
		}
        
		$this->success(lang('success'));
    }
    
    public function delete()
    {
        DcTermDeleteIds(input('id/a'));
        
        $this->success(lang('success'));
    }
    
    public function update()
    {
        $data = input('post.');
        
        config('common.validate_name', 'daohang/Tag');
        
        config('common.validate_scene', 'update');
        
        config('common.where_slug_unique', false);//标题已验证唯一、不再需要验证别名
        
        config('custom_fields.term_meta',model('daohang/Tag','loglic')->metaFieldsKey());
        
        if( !\daicuo\Term::update_id($data['term_id'], $data) ){
            $this->error(\daicuo\Term::getError());
        }
        $this->success(lang('success'));
    }
    
    public function status()
    {
        if( !$ids = input('post.id/a') ){
            $this->error(lang('errorIds'));
        }
        //
        $data = [];
        $data['term_status'] = input('request.value/s', 'hidden');
        dbUpdate('common/Term',['term_id'=>['in',$ids]], $data);
        //
        $this->success(lang('success'));
    }
    
    public function preview()
    {
        $info = \daicuo\Term::get_id(input('id/d',0), false);
        if(!$info){
            $this->error(lang('empty'));
        }
        //去掉后台入口文件
        $url = str_replace($this->request->baseFile(), '', daohangUrlTag($info));
        //跳转至前台
        $this->redirect($url,302);
    }
}