<?php
namespace app\daohang\loglic;

class Datas
{
    //批量写入插件初始配置
    public function insertConfig()
    {
        return \daicuo\Op::write([
            'theme'                => 'default',
            'theme_wap'            => 'default',
            'slug_first'           => 1,
            'jump_page'            => 1,
            'publish_save'         => 'on',
            'score_fast'           => 10,
            'request_max'          => 0,
            'search_list'          => 'index,baidu,sogou,toutiao,bing,so',
            'search_interval'      => 0,
            'search_hot'           => '呆错网址导航系统,呆错后台管理框架,呆错文章管理系统,daicuo,feifeicms,gxcms',
            'label_strip'          => '<b>,<i>,<font>,<strong>',
            'post_pwd'             => '',
            'page_size'            => 30,
            'page_max'             => 100,
            'limit_search'         => 10,
            'limit_sitemap'        => 100,
            'limit_index_web'      => 60,
            'limit_index_category' => 30,
            'limit_index_tag'      => 60,
            'limit_index_hot'      => 10,
            'type_option'          => '',//属性扩展
            'language'             => '',//语言包扩展
            'info_meta'            => '',//字段扩展
            'auth_filter'          => ['vip'],
            'auth_search'          => ['vip'],
            'auth_save'            => ['vip'],
            'rewrite_index'        => 'dh$',
            'rewrite_category'     => 'dhtype/:slug/[:pageNumber]',
            'rewrite_tag'          => 'dhtag/:slug/[:pageNumber]',
            'rewrite_search'       => 'dhsearch/[:searchText]/[:pageNumber]',
            'rewrite_filter'       => 'dhfilter/<termId>-<pageSize>-<pageNumber>-<sortName>-<sortOrder>',
            'rewrite_detail'       => 'dhinfo/:slug$',
            'index_title'          => '呆错网址导航系统',
            'index_keywords'       => 'PHP导航系统,免费导航系统,开源导航系统',
            'index_description'    => '呆错导航系统是一款免费开源的分类导航建站系统，安全、便捷、高效、是您的建站首选。',
            'sitemap_title'        => '网站地图页',
            'sitemap_keywords'     => 'sitemap,网站地图',
            'sitemap_description'  => '[siteName]网站地图页展示网站结构。',
        ], 'daohang', 'config', 'system', '0', 'yes');
    }
    
    //批量添加路由伪静态
    public function insertRoute()
    {
        config('common.validate_name', false);
        
        config('common.validate_scene', false);
        
        config('common.where_slug_unique', false);
        
        return \daicuo\Route::save_all([
            [
                'rule'        => 'dh$',
                'address'     => 'daohang/index/index',
                'method'      => 'get',
                'op_module'   => 'daohang',
                'op_controll' => 'route',
                'op_action'   => 'system',
            ],
            [
                'rule'        => 'dhtype/:slug/[:pageNumber]',
                'address'     => 'daohang/category/index',
                'method'      => 'get',
                'op_module'   => 'daohang',
                'op_controll' => 'route',
                'op_action'   => 'system',
            ],
            [
                'rule'        => 'dhtag/:slug/[:pageNumber]',
                'address'     => 'daohang/tag/index',
                'method'      => 'get',
                'op_module'   => 'daohang',
                'op_controll' => 'route',
                'op_action'   => 'system',
            ],
            [
                'rule'        => 'dhsearch/[:searchText]/[:pageNumber]',
                'address'     => 'daohang/search/index',
                'method'      => '*',
                'op_module'   => 'daohang',
                'op_controll' => 'route',
                'op_action'   => 'system',
            ],
            [
                'rule'        => 'dhfilter/<termId>-<pageSize>-<pageNumber>-<sortName>-<sortOrder>',
                'address'     => 'daohang/filter/index',
                'method'      => 'get',
                'op_module'   => 'daohang',
                'op_controll' => 'route',
                'op_action'   => 'system',
            ],
            [
                'rule'        => 'dhinfo/:slug$',
                'address'     => 'daohang/detail/index',
                'method'      => 'get',
                'op_module'   => 'daohang',
                'op_controll' => 'route',
                'op_action'   => 'system',
            ],
        ]);
    }
    
    //批量添加权限
    public function insertAuth()
    {
        config('common.validate_name', false);
        
        config('common.validate_scene', false);
        
        config('common.where_slug_unique', false);
        
        //权限节点
        $caps = [
            'daohang/filter/index',
            'daohang/search/index',
            'daohang/fast/save',
        ];
        
        //默认数据
        $default = [
            'op_name'       => 'vip',
            'op_module'     => 'daohang',
            'op_controll'   => 'auth',
            'op_action'     => 'system',
            'op_order'      => 0,
            'op_status'     => 'normal',
        ];
        
        //批量添加数据
        $dataList = [];
        foreach($caps as $key=>$value){
            array_push($dataList, DcArrayArgs(['op_value'=>$value],$default));
        }
        return \daicuo\Op::save_all($dataList);
    }
    
    //批量添加导航
    public function insertNavs()
    {
        config('common.validate_name', false);
        
        config('common.validate_scene', false);
        
        config('common.where_slug_unique', false);
        
        return \daicuo\Term::save_all([
            //导航栏
            [
                'term_order'      => 9,
                'term_parent'     => 0,
                'term_type'       => 'navs',
                'term_action'     => 'navbar',
                'term_controll'   => 'index',
                'term_module'     => 'daohang',
                'term_status'     => 'normal',
                'term_name'       => '导航首页',
                'term_slug'       => 'daohang',
                'term_info'       => '呆错导航系统首页',
                'navs_url'        => 'daohang/index/index',
                'navs_active'     => 'daohangindexindex',
                'navs_target'     => '_self',
            ],
            [
                'term_order'      => 1,
                'term_parent'     => 0,
                'term_type'       => 'navs',
                'term_action'     => 'navbar',
                'term_controll'   => 'publish',
                'term_module'     => 'daohang',
                'term_status'     => 'normal',
                'term_name'       => '热门网站',
                'term_slug'       => 'ksfu',
                'term_info'       => '网站排行榜',
                'navs_url'        => 'daohang/page/remen',
                'navs_active'     => 'daohangpageremen',
                'navs_target'     => '_self',
            ],
            [
                'term_order'      => 1,
                'term_parent'     => 0,
                'term_type'       => 'navs',
                'term_action'     => 'navbar',
                'term_controll'   => 'publish',
                'term_module'     => 'daohang',
                'term_status'     => 'normal',
                'term_name'       => '免费发布',
                'term_slug'       => 'dhfabu',
                'term_info'       => '免费发布网站',
                'navs_url'        => 'daohang/publish/index',
                'navs_active'     => 'daohangpublishindex',
                'navs_target'     => '_self',
            ],
            [
                'term_order'      => 1,
                'term_parent'     => 0,
                'term_type'       => 'navs',
                'term_action'     => 'navbar',
                'term_controll'   => 'publish',
                'term_module'     => 'daohang',
                'term_status'     => 'normal',
                'term_name'       => '快审服务',
                'term_slug'       => 'ksfu',
                'term_info'       => '免审核发布网站',
                'navs_url'        => 'daohang/fast/index',
                'navs_active'     => 'daohangfastindex',
                'navs_target'     => '_self',
            ],
            //侧边栏
            [
                'term_order'      => 1,
                'term_parent'     => 0,
                'term_type'       => 'navs',
                'term_action'     => 'sitebar',
                'term_controll'   => 'user',
                'term_module'     => 'daohang',
                'term_status'     => 'private',
                'term_name'       => '我的网址',
                'term_slug'       => 'daohanguserindex',
                'term_info'       => '我发布的网址',
                'navs_url'        => 'daohang/user/index',
                'navs_active'     => 'daohanguserindex',
                'navs_target'     => '_self',
            ],
            //底部链接
            [
                'term_order'      => 0,
                'term_parent'     => 0,
                'term_type'       => 'navs',
                'term_action'     => 'links',
                'term_controll'   => 'publish',
                'term_module'     => 'daohang',
                'term_status'     => 'normal',
                'term_name'       => '导航地图',
                'term_slug'       => 'dhditu',
                'term_info'       => '呆错导航系统sitemap',
                'navs_url'        => 'daohang/sitemap/index',
                'navs_active'     => 'daohangsitemapindex',
                'navs_target'     => '_self',
            ],
            [
                'term_order'      => 0,
                'term_parent'     => 0,
                'term_type'       => 'navs',
                'term_action'     => 'links',
                'term_controll'   => 'publish',
                'term_module'     => 'daohang',
                'term_status'     => 'normal',
                'term_name'       => '最新收录',
                'term_slug'       => 'dhditu',
                'term_info'       => '最新收录的网站',
                'navs_url'        => 'daohang/page/zuixin',
                'navs_active'     => 'daohangpagezuixin',
                'navs_target'     => '_self',
            ],
            [
                'term_order'      => 0,
                'term_parent'     => 0,
                'term_type'       => 'navs',
                'term_action'     => 'links',
                'term_controll'   => 'category',
                'term_module'     => 'daohang',
                'term_status'     => 'normal',
                'term_name'       => '全站分类',
                'term_slug'       => 'dhtypes',
                'term_info'       => '呆错导航系统所有分类',
                'navs_url'        => 'daohang/category/all',
                'navs_active'     => 'daohangcategoryall',
                'navs_target'     => '_self',
            ],
            [
                'term_order'      => 0,
                'term_parent'     => 0,
                'term_type'       => 'navs',
                'term_action'     => 'links',
                'term_controll'   => 'tag',
                'term_module'     => 'daohang',
                'term_status'     => 'normal',
                'term_name'       => '标签列表',
                'term_slug'       => 'dhtags',
                'term_info'       => '导航系统标签列表',
                'navs_url'        => 'daohang/tag/all',
                'navs_active'     => 'daohangtagall',
                'navs_target'     => '_self',
            ],
            [
                'term_order'      => 0,
                'term_parent'     => 0,
                'term_type'       => 'navs',
                'term_action'     => 'links',
                'term_controll'   => 'publish',
                'term_module'     => 'daohang',
                'term_status'     => 'normal',
                'term_name'       => '免费收录',
                'term_slug'       => 'dhpublish',
                'term_info'       => '免费发布网站',
                'navs_url'        => 'daohang/publish/index',
                'navs_active'     => 'daohangpublishindex',
                'navs_target'     => '_self',
            ],
            [
                'term_order'      => 0,
                'term_parent'     => 0,
                'term_type'       => 'navs',
                'term_action'     => 'links',
                'term_controll'   => 'publish',
                'term_module'     => 'daohang',
                'term_status'     => 'normal',
                'term_name'       => '快审服务',
                'term_slug'       => 'dhpublish',
                'term_info'       => '免审核发布网站',
                'navs_url'        => 'daohang/fast/index',
                'navs_active'     => 'daohangfastindex',
                'navs_target'     => '_self',
            ],
        ]);
    }
    
    //批量添加分类
    public function insertCategory()
    {
        config('common.validate_name', false);
        
        config('common.validate_scene', false);
        
        config('common.where_slug_unique', false);
        
        config('custom_fields.term_meta',model('daohang/Category','loglic')->metaFieldsKey());
        
        //添加网站一级分类
        $this->insertTerm('category', 'channel', ['网站大全']);
        
        //添加网站二级分类
        $this->insertTerm('category', 'index', ['生活服务','综合其他','休闲娱乐','教育文化','行业企业','网络科技','政府组织','购物网站','新闻媒体','交通旅游','医疗健康','体育健身'], '网站大全');
        
        //添加单页一级分类
        $this->insertTerm('category', 'page', ['排行榜']);
        
        //添加单页二级分类
        $this->insertTerm('category', 'page', ['最新网站'], '排行榜', 'zuixin');
        $this->insertTerm('category', 'page', ['热门网站'], '排行榜', 'remen');
    }
    
    /**
     * 批量添加标签或分类
     * @version 1.2.0 首次引入
     * @param string $type 必需;队列方式(category|tag);默认：category
     * @param array $action 操作名;index|channel|page;默认：空
     * @param array $post 必需;数组格式,支持的字段列表请参考手册;默认：空
     * @param string $parentName 可选;父级名称,默认：空
     * @return mixed $mixed 成功时返回obj,失败时null
     */
    private function insertTerm($type='category', $action='index', $post=[], $parentName='', $tplPath='')
    {
        $default = [
            'term_name'       => '网站大全',
            'term_slug'       => 'wangzhandaquan',
            'term_module'     => 'daohang',
            'term_controll'   => 'category',
            'term_action'     => $action,
            'term_type'       => $type,
            'term_status'     => 'normal',
            'term_order'      => 2,
            'term_info'       => '收录优秀网站',
            'term_parent'     => 0,
            'term_navbar'     => 'yes',
            'term_tpl'        => $tplPath,
        ];
        $list = [];
        if($parentName){
            foreach($post as $key=>$value){
                array_push($list, DcArrayArgs([
                    'term_name'   => $value,
                    'term_slug'   => DcPinYin($value),
                    'term_info'   => '收录与'.$value.'相关的网站',
                    'term_parent' => DcTermNameToId($parentName),
                ], $default));
            }
        }else{
            foreach($post as $key=>$value){
                array_push($list, DcArrayArgs([
                    'term_name' => $value,
                    'term_slug' => DcPinYin($value),
                    'term_info' => '收录与'.$value.'相关的网站',
                ], $default));
            }
        }
        return \daicuo\Term::save_all($list);
    }
    
    //删除队例
    public function deleteTerm($action='uninstall')
    {
        if($action=='update'){
            $ids = db('term')->where(['term_module'=>'daohang','term_controll'=>['in',['mp','mini']]])->limit(500)->column('term_id');
        }else{
            $ids = db('term')->where(['term_module'=>'daohang','term_type'=>['in',['category','tag','navs']]])->limit(500)->column('term_id');
        }
        
        db('termMap')->where(['term_id'=>['in',$ids]])->delete();
            
        db('termMeta')->where(['term_id'=>['in',$ids]])->delete();

        db('term')->where(['term_id'=>['in',$ids]])->delete();
        
        DcCacheTag('common/Term/Item', 'clear');
    }
    
    //删除内容
    public function deleteInfo($action='uninstall')
    {
        if($action=='update'){
            $ids = db('info')->where(['info_controll'=>['in',['mp','mini']]])->limit(500)->column('info_id');
        }else{
            $ids = db('info')->where(['info_module'=>'daohang'])->limit(500)->column('info_id');
        }
        
        db('termMap')->where(['detail_id'=>['in',$ids]])->delete();
        
        db('infoMeta')->where(['info_id'=>['in',$ids]])->delete();
        
        db('info')->where(['info_id'=>['in',$ids]])->delete();
        
        DcCacheTag('common/Info/Item', 'clear');
    }
    
    //修改字段
    public function updateFields()
    {
        //\think\Db::execute("update dc_term set term_module='media' where term_controll='mp';");
        
        //\think\Db::execute("update dc_term set term_module='applet' where term_controll='mini';");
        
        //\think\Db::execute("update dc_info set info_module='media' where info_controll='mp';");
        
        //\think\Db::execute("update dc_info set info_module='applet' where info_controll='mini';");
        
        \think\Db::execute("update dc_term set term_controll='category' where term_controll='web';");
        
        \think\Db::execute("update dc_info set info_controll='detail' where info_controll='web';");
        
        \think\Db::execute("delete from dc_term_meta where term_meta_key='term_tpl';");
    }
}