<?php
namespace app\daohang\loglic;

class Tag
{
    /**
    * 定义标签模块的字段
    * @version 1.0.0 首次引入
    * @param array $data 可选;初始数据;默认：空
    * @return array 表格列字段属性（DcBuildTable）
    */
    public function fields($data)
    {
        return [
            'html_1' => [
                'order'           => 1,
                'type'            => 'html',
                'value'           => '<div class="row"><div class="col-12 col-md-8">',
            ],
            'term_module' => [
                'order'           => 0,
                'type'            => 'hidden',
                'value'           => 'daohang',
            ],
            'term_controll' => [
                'order'           => 0,
                'type'            => 'hidden',
                'value'           => 'tag',
            ],
            'term_action' => [
                'order'           => 0,
                'type'            => 'hidden',
                'value'           => 'index',
            ],
            'term_id' => [
                'order'           => 2,
                'type'            => 'hidden',
                'value'           => $data['term_id'],
                'data-filter'     => false,
                'data-visible'    => true,
                'data-width'      => '80',
                'data-width-unit' => 'px',
                'data-sortable'   => true,
                'data-sort-name'  => 'term_id',
                'data-order'      => 'asc',
            ],
            'term_type' => [
                'order'           => 3,
                'type'            => 'hidden',
                'value'           => 'tag',
                'data-filter'     => false,
                'data-visible'    => false,
            ],
            'term_name' => [
                'order'           => 4,
                'type'            => 'text',
                'value'           => $data['term_name'],
                'required'        => true,
                'data-filter'     => false,
                'data-visible'    => true,
                'data-align'      => 'left',
            ],
            'term_slug' => [
                'order'           => 5,
                'type'            => 'text',
                'value'           => $data['term_slug'],
                'data-filter'     => false,
                'data-visible'    => true,
                'data-align'      => 'left',
            ],
            'term_image' => [
                'order'           => 4,
                'type'            => 'image',
                'value'           => $data['term_image'],
                'title'           => lang('dh_term_image'),
            ],
            'term_title' => [
                'order'           => 6,
                'type'            => 'text',
                'value'           => $data['term_title'],
            ],
            'term_keywords' => [
                'order'           => 7,
                'type'            => 'text',
                'value'           => $data['term_keywords'],
            ],
            'term_description' => [
                'order'           => 8,
                'type'            => 'text',
                'value'           => $data['term_description'],
            ],
            'term_info' => [
                'order'           => 9,
                'type'            => 'textarea',
                'value'           => $data['term_info'],
                'rows'            => 3,
                'data-filter'     => false,
                'data-visible'    => false,
            ],
            'html_2'      => [
                'order'           => 8,
                'type'            => 'html',
                'value'           => '</div><div class="col-12 col-md-4">',
                'order'           => 199,
            ],
            'term_status' => [
                'order'           => 9,
                'type'            => 'select',
                'value'           => DcEmpty($data['term_status'],'normal'),
                'option'          => ['normal'=>lang('normal'),'hidden'=>lang('hidden')],
                'data-filter'     => true,
                'data-visible'    => false,
            ],
            'term_status_text' => [
                'order'           => 10,
                'data-title'      => lang('term_status'),
                'data-visible'    => true,
                'data-width'      => '100',
            ],
            'term_parent' => [
                'order'           => 6,
                'type'            => 'text',
                'value'           => intval($data['term_parent']),
                'data-filter'     => false,
                'data-visible'    => true,
            ],
            'term_count' => [
                'order'           => 11,
                'data-filter'     => false,
                'data-visible'    => true,
                'data-sortable'   => true,
                'data-width'      => '100',
            ],
            'term_order' => [
                'order'           => 12,
                'type'            => 'text',
                'value'           => intval($data['term_order']),
                'data-filter'     => false,
                'data-visible'    => true,
                'data-sortable'   => true,
                'data-width'      => '100',
            ],
            'term_tpl'   => [
                'order'            => 17,
                'type'             => 'text',
                'value'            => $data['term_tpl'],
            ],
            'term_limit'   => [
                'order'            => 0,
                'type'             => 'text',
                'value'            => $data['term_limit'],
                'title'            => lang('dh_term_limit'),
                'placeholder'      => lang('dh_term_limit_category'),
            ],
            'html_3' => [
                'order'           => 16,
                'type'            => 'html',
                'value'           => '</div></div>',
            ]
        ];
    }
    
    //所有扩展字段
    public function metaFieldsKey()
    {
        $array = array_merge(array_keys(config('custom_fields.term_meta')),config('daohang.meta_tag'));
        return array_unique($array);
    }
}